Forum

Page 1 of 6 123 ... LastLast
Results 1 to 15 of 87

Hybrid View

  1. #1
    Join Date
    January 2017
    Posts
    1

    Client 3.1.x does not start (api-ms-win-crt-runtime-|1-1-0.dll)

    I can't update to the 3.1 version of TeamSpeak, I get a notice that says: the program can't start because lack api-ms-win-crt-runtime-|1-1-0.dll on the computer. Try to reinstall the program to fix this problem. How do I fix it?

  2. #2
    Join Date
    June 2008
    Posts
    18,151
    It seems that the latest Windows updates aren't installed on your system.
    The required update KB2999226 is missing or broken.
    https://support.microsoft.com/en-us/...ime-in-windows

    Possible solution:
    • Install the latest Windows 7, 8.1 or 10 updates for your system. You don't have to install optional updates.
    • Try to download and install the right "Visual C++ Redistributable" again and please reboot after setup.


    Our download:
    http://dl.4players.de/ts/client/redist/

    Official download from Microsoft:

    Visual C++ Redistributable for Visual Studio 2015 (64-bit)
    Visual C++ Redistributable for Visual Studio 2015 (32-bit)
    Last edited by dante696; April 4th, 2018 at 10:30 PM. Reason: updated supported windows version
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  3. #3
    Join Date
    February 2017
    Posts
    5
    Quote Originally Posted by dante696 View Post
    You don't have the latest Windows updates installed.
    Especially update KB2999226 is missing. It's one of the updates, that get installed by default.
    https://support.microsoft.com/en-us/...ime-in-windows

    Solution: Install latest Windows updates.
    great solution although this update wont reinstall on my computer and teamspeak still has the same error message.

  4. #4
    Join Date
    January 2017
    Posts
    6
    Quote Originally Posted by 2fatactual View Post
    great solution although this update wont reinstall on my computer and teamspeak still has the same error message.
    I have the same issue as 2factual

    And you guys keep putting this as resolved when its NOT!

  5. #5
    Join Date
    June 2008
    Posts
    18,151
    You could try to download and install the vcredist again (please reboot after setup).
    Our download:
    http://dl.4players.de/ts/client/redist/

    Official download from Microsoft:

    Visual C++ Redistributable for Visual Studio 2015 (64-bit)
    Visual C++ Redistributable for Visual Studio 2015 (32-bit)

    Important:
    Quote Originally Posted by thorwe View Post
    Also please note that when using the 32bit (x86) client on Win64, the x86 runtime is needed.

    For us the topic is resolved, because the error is clear.
    Your system does miss or has a broken api-ms-win-crt-runtime-|1-1-0-dll which is not our fault.
    Last edited by dante696; February 9th, 2017 at 07:29 AM. Reason: typo removed
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  6. #6
    Join Date
    February 2017
    Posts
    5
    Quote Originally Posted by 2fatactual View Post
    great solution although this update wont reinstall on my computer and teamspeak still has the same error message.
    same error with up to date windows thank you automated suport.

  7. #7
    Join Date
    June 2008
    Posts
    18,151
    Are you ignoring my reply to your reply?
    I asked to install the Visual C++ Redistributable as a fix.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  8. #8
    Join Date
    January 2017
    Posts
    6
    I will have to try this but I did
    -windows updated
    -verified that update was installed
    -manually downed update and would not install because it said it was installed
    -
    Will give your link below a try

    Quote Originally Posted by dante696 View Post
    Are you ignoring my reply to your reply?
    I asked to install the Visual C++ Redistributable as a fix.

  9. #9
    Join Date
    February 2017
    Posts
    5
    i did that before going tho the forums

  10. #10
    Join Date
    February 2017
    Posts
    5
    actual solution uninstall microsoft visual c++ 2015 restart(or all c++ redistributes in my case), update windows an many times as needed to get to needed optional update then install teamspeak thank you you tube.

  11. #11
    Join Date
    February 2017
    Posts
    2

    Not true

    Quote Originally Posted by dante696 View Post
    You don't have the latest Windows updates installed.
    Especially update KB2999226 is missing. It's one of the updates, that get installed by default.
    https://support.microsoft.com/en-us/...ime-in-windows

    Solution: Install latest Windows updates. You could try to download and install the vcredist again (please reboot after setup).

    Our download:
    http://dl.4players.de/ts/client/redist/

    Official download from Microsoft:

    Visual C++ Redistributable for Visual Studio 2015 (64-bit)
    Visual C++ Redistributable for Visual Studio 2015 (32-bit)

    This is false I have the latest update still getting this error please help.

  12. #12
    Join Date
    September 2012
    Posts
    6,078
    Quote Originally Posted by Synnek_ View Post
    This is false I have the latest update still getting this error please help.
    The quoted text is referring to Windows updates, not the TeamSpeak client.
    In addition please try installing the linked downloads. Whether to use 32 or 64 bit depends on which Client you're using.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  13. #13
    Join Date
    July 2017
    Posts
    1

    Windows 10 not Visual C+ fix not working

    Tried the fix you recommend , and get the following fail

    Click image for larger version. 

Name:	Visual C+ fail.PNG 
Views:	269 
Size:	18.8 KB 
ID:	15833
    Last edited by dante696; August 1st, 2017 at 09:19 AM. Reason: removed quote and spaces

  14. #14
    Join Date
    June 2008
    Posts
    18,151
    Please read the part behind the 0x80070666.
    It's explained and what you need to do now.

    Source Google:
    That's know error for Microsoft when a newer or the same version is installed already.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  15. #15
    Join Date
    January 2017
    Posts
    1

    Error while trying to update client to new version 3.1.0.1

    While trying to update to new client I got this kind of error message
    Click image for larger version. 

Name:	error.jpg 
Views:	7133 
Size:	23.5 KB 
ID:	14821

    Any advice how to proceed?

    P.S Tried to update via update.exe file also tried to download manually new version same result.
    Last edited by dante696; January 18th, 2017 at 08:29 AM. Reason: merged

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. TS3-Client "runtime-limited" ?
    By dachs in forum Windows
    Replies: 2
    Last Post: October 25th, 2011, 02:55 PM
  2. TeamSpeak 3 Client - Runtime Error -
    By lutzen in forum Windows
    Replies: 1
    Last Post: June 27th, 2011, 02:54 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •